%define upstream_name    MooseX-Role-Parameterized
%define upstream_version 1.08

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Metaclass for parameterizable roles
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Meta::Check)
BuildRequires: perl(Moose) >= 2.30.0
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::Moose)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::Requires)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(namespace::clean)
BuildArch:  noarch

%{?perl_default_filter}

%description
Your parameterized role consists of two new things: parameter declarations
and a 'role' block.

Parameters are declared using the the /parameter manpage keyword which very
much resembles the Moose/has manpage. You can use any option that the
Moose/has manpage accepts. The default value for the 'is' option is 'ro' as
that's a very common case. Use 'is => 'bare'' if you want no accessor.
These parameters will get their values when the consuming class (or role)
uses the Moose/with manpage. A parameter object will be constructed with
these values, and passed to the 'role' block.

The 'role' block then uses the usual the Moose::Role manpage keywords to
build up a role. You can shift off the parameter object to inspect what the
consuming class provided as parameters. You use the parameters to customize
your role however you wish.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.80.0-3.mga6
+ Revision: 1030578
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.80.0-2.mga6
+ Revision: 968609
- Mageia 6 Mass Rebuild

* Tue Jul 14 2015 sander85 <sander85> 1.80.0-1.mga6
+ Revision: 854099
- update to 1.08

* Wed Oct 15 2014 umeabot <umeabot> 1.20.0-5.mga5
+ Revision: 741134
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 1.20.0-4.mga5
+ Revision: 735851
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.20.0-3.mga5
+ Revision: 685563
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 1.20.0-2.mga4
+ Revision: 537373
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 1.20.0-1.mga4
+ Revision: 486877
- update to 1.02

* Sun Jan 13 2013 umeabot <umeabot> 1.0.0-2.mga3
+ Revision: 370282
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 25 2012 jquelin <jquelin> 1.0.0-1.mga2
+ Revision: 200929
- update to 1.00
- update to 0.27

* Wed Jun 15 2011 jquelin <jquelin> 0.260.0-1.mga2
+ Revision: 107143
- update to 0.26

* Wed Mar 09 2011 jquelin <jquelin> 0.250.0-1.mga1
+ Revision: 67004
- update to 0.25

* Wed Mar 02 2011 jquelin <jquelin> 0.240.0-1.mga1
+ Revision: 62638
- update to 0.24

* Fri Jan 21 2011 jquelin <jquelin> 0.230.0-1.mga1
+ Revision: 28684
- mageia rebuild
- imported package perl-MooseX-Role-Parameterized

